TMT Time Now
TMT is the abbreviation of Turkmenistan Time. Time zone offset of TMT is UTC+05. Turkmenistan Time is 5 hours ahead from the UTC universal time. TMT current date is 4th Sunday October 2026. Current time in TMT (TMT).
TMT Time
09:40:57
4 October 2026 Sunday
TMT is the time standard known as Turkmenistan Time, which is 5 hours ahead of the UTC universal time. It is observed in the country of Turkmenistan and its main cities like Ashgabat, Dasoguz, Turkmenabat, Balkanabat, etc. It is exactly the same time standard as Uzbekistan, Turkmenistan, Pakistan, and other time standards practiced in the neighboring countries. The same time standard is also used in the Russian province of Yekaterinburg.
What time is it in Turkmenistan Time now? It is 09:40:57 right now.
Turkmenistan Time Date and Time Now in Various Formats
| Date Time Format | TMT Date Time Now |
|---|---|
| UTC | 2026-10-04T09:40:57Z |
| ISO-8601 | 2026-10-04T09:40:57+0000 |
| RFC 2822 | Sun, 04 Oct 2026 09:40:57 +0000 |
| RFC 850 | Sunday, 04-Oct-26 09:40:57 UTC |
| RFC 1036 | Sun, 04 Oct 26 09:40:57 +0000 |
| RFC 1123 | Sun, 04 Oct 2026 09:40:57 +0000 |
| RFC 822 | Sun, 04 Oct 26 09:40:57 +0000 |
| RFC 3339 | 2026-10-04T09:40:57+00:00 |
| ATOM | 2026-10-04T09:40:57+00:00 |
| COOKIE | Sunday, 04-Oct-2026 09:40:57 UTC |
| RSS | Sun, 04 Oct 2026 09:40:57 +0000 |
| W3C | 2026-10-04T09:40:57+00:00 |
| Unix Epoch | 1791106857 |
| YYYY-DD-MM HH:MM:SS | 2026-04-10 09:40:57 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-04-10 09:40:57 AM |
| DD-MM-YYYY HH:MM:SS | 04-10-2026 09:40:57 |
| MM-DD-YYYY HH:MM:SS | 10-04-2026 09:40:57 |